var express = require('express'); // use the express module
 
const hostname = '127.0.0.1'; // localhost
const port = 3000; // port number, can be changed
const folderName = 'public'; // use files from this folder
 
var app = express();
app.use(express.static(folderName)); // use files from this folder
var server = app.listen(port, function () {
  console.log("Example app listening at http://%s:%s", hostname, port) // console.log() is like println()
})
const bodyParser = require("body-parser"); // Node-Modul body-parser einbinden
app.use(bodyParser.urlencoded({extended : true}));
 
app.post('/dist', (req, res) => {
    console.log('Got distance:', req.body.distance);
    res.sendStatus(200);
    // TODO: weitere Aktionen 
    arduinoSerialPort.write(req.body.distance); // Daten schicken (Strings oder Zahlen)
});
const SerialPort = require('serialport'); // Node-Modul serialport einbinden
const arduinoSerialPort = new SerialPort('COM3', { baudRate: 9600 }); // Den seriellen Portnamen und Baudrate festlegen
